<?php
require 'conexion.php';

if (isset($_POST['id_empresa'])) {
    $id_empresa = $_POST['id_empresa'];
    $consulta = $conexion->query("SELECT id_subcontrata, nombre_subcontrata FROM subcontratas WHERE id_empresa = $id_empresa");

    $subcontratas = [];
    while ($subcontrata = $consulta->fetch_assoc()) {
        $subcontratas[] = $subcontrata;
    }

    echo json_encode($subcontratas);
}
?>
